Main Page | Class Hierarchy | Class List | Directories | File List | Class Members

# cocktailFileParser Class Reference

`#include <cocktailfileparser.h>`

List of all members.

## Static Public Member Functions
static void | readCocktailsFromFile (QString fileName, QValueVector< recipe * > *recipes)
static void | readCocktailsFromFile (QString fileName, QValueVector< recipe * > *recipes, dicoRecipe *dico)
static void | writeCocktailsToFile (QString fileName, QValueVector< recipe * > *recipes)

## Detailed Description

Static class responsible to read & write xml files describing the recipes of some cocktails

Author:
  Bertrand Haut

The documentation for this class was generated from the following files:

- code/cocktail/src/cocktailfileparser.h
- code/cocktail/src/cocktailfileparser.cpp